Edit Merchant Metric
curl --request POST \
--url https://api.unibee.dev/merchant/metric/edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metricId": 123,
"metricName": "<string>",
"carryoverProrationEnabled": true,
"metaData": {},
"metricDescription": "<string>",
"prorationRefundEnabled": true,
"type": 123,
"unit": "<string>"
}
'import requests
url = "https://api.unibee.dev/merchant/metric/edit"
payload = {
"metricId": 123,
"metricName": "<string>",
"carryoverProrationEnabled": True,
"metaData": {},
"metricDescription": "<string>",
"prorationRefundEnabled": True,
"type": 123,
"unit": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metricId: 123,
metricName: '<string>',
carryoverProrationEnabled: true,
metaData: {},
metricDescription: '<string>',
prorationRefundEnabled: true,
type: 123,
unit: '<string>'
})
};
fetch('https://api.unibee.dev/merchant/metric/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"merchantMetric": {
"aggregationProperty": "<string>",
"aggregationType": 123,
"archived": true,
"carryoverProrationEnabled": true,
"code": "<string>",
"createTime": 123,
"gmtModify": 123,
"id": 123,
"merchantId": 123,
"metaData": {},
"metricDescription": "<string>",
"metricName": "<string>",
"prorationRefundEnabled": true,
"type": 123,
"unit": "<string>"
}
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Metric
Edit Merchant Metric
POST
/
merchant
/
metric
/
edit
Edit Merchant Metric
Endpoint Overview
POSThttps://api.unibee.dev/merchant/metric/edit
Edit Merchant Metric
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Request body
| Name | Type | Required | Description |
|---|---|---|---|
carryoverProrationEnabled | boolean | No | Enable carryover proration for this metric (default: false when not set) |
metaData | object | No | meta_data(json) |
metricDescription | string | No | MetricDescription |
metricId | integer | Yes | MetricId |
metricName | string | Yes | MetricName |
prorationRefundEnabled | boolean | No | Enable proration refund for this metric (reclaim metric limit on upgrade; default: false when not set) |
type | integer | No | 1-limit_metered,2-charge_metered,3-charge_recurring,4-limit_recurring |
unit | string | No | unit |
Request examples
cURL
curl -X POST "https://api.unibee.dev/merchant/metric/edit" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"carryoverProrationEnabled": false,
"metaData": {},
"metricDescription": "",
"metricId": 0,
"metricName": "",
"prorationRefundEnabled": false,
"type": 0,
"unit": ""
}'
Sandbox
curl -X POST "https://api-sandbox.unibee.top/merchant/metric/edit" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"carryoverProrationEnabled": false,
"metaData": {},
"metricDescription": "",
"metricId": 0,
"metricName": "",
"prorationRefundEnabled": false,
"type": 0,
"unit": ""
}'
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.merchantMetric | object | |
message | string | Human-readable message |
requestId | string | Request ID for support |
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
MetricId
MetricName
Enable carryover proration for this metric (default: false when not set)
meta_data(json)
Show child attributes
Show child attributes
MetricDescription
Enable proration refund for this metric (reclaim metric limit on upgrade; default: false when not set)
1-limit_metered,2-charge_metered,3-charge_recurring,4-limit_recurring
unit
⌘I

